Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.examples.mailreader
Interface Subscription

All Known Implementing Classes:
  MemorySubscription

public interface Subscription

A Subscription which is stored, along with the associated `User`, in a `UserDatabase`.

Version:
  $Rev: 54929 $ $Date: 2004-10-16 09:38:42 -0700 (Sat, 16 Oct 2004) $

Method Summary
`boolean` | `getAutoConnect()` Return the auto-connect flag.
`java.lang.String` | `getHost()` Return the host name.
`java.lang.String` | `getPassword()` Return the password.
`java.lang.String` | `getType()` Return the subscription type.
`User` | `getUser()` Return the `User` owning this Subscription.
`java.lang.String` | `getUsername()` Return the username.
`void` | `setAutoConnect(boolean autoConnect)` Set the auto-connect flag.
`void` | `setPassword(java.lang.String password)` Set the password.
`void` | `setType(java.lang.String type)` Set the subscription type.
`void` | `setUsername(java.lang.String username)` Set the username.

Method Detail

### getAutoConnect

    public boolean getAutoConnect()

  Return the auto-connect flag.

### setAutoConnect

    public void setAutoConnect(boolean autoConnect)

  Set the auto-connect flag.
  Parameters:
    `autoConnect` - The new auto-connect flag

### getHost

    public java.lang.String getHost()

  Return the host name.

### getPassword

    public java.lang.String getPassword()

  Return the password.

### setPassword

    public void setPassword(java.lang.String password)

  Set the password.
  Parameters:
    `password` - The new password

### getType

    public java.lang.String getType()

  Return the subscription type.

### setType

    public void setType(java.lang.String type)

  Set the subscription type.
  Parameters:
    `type` - The new subscription type

### getUser

    public User getUser()

  Return the `User` owning this Subscription.

### getUsername

    public java.lang.String getUsername()

  Return the username.

### setUsername

    public void setUsername(java.lang.String username)

  Set the username.
  Parameters:
    `username` - The new username

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004 - The Apache Software Foundation